from operator import inv
import click
from teach_auto import __version__
from teach_auto.clone_forks import clone_forks
from teach_auto.collect_forks import collect_forks
from teach_auto.create_groups import create_groups
from teach_auto.invite_students import invite_students
from teach_auto.send_feedback import send_feedback


@click.group()
@click.version_option(version=__version__)
def cli():
    """
    teach-auto: Classroom automation utilities for Gitlab + Renku.
    """
    ...


cli.add_command(clone_forks, name="clone-forks")
cli.add_command(collect_forks, name="collect-forks")
cli.add_command(create_groups, name="create-groups")
cli.add_command(invite_students, name="invite-students")
cli.add_command(send_feedback, name="send-feedback")
