from typing import Optional
from pathlib import Path
import click


def ingest_token(token_path: Optional[Path]=None) -> str:
    """Read token from target file if provided.
    If input is None, prompt for token."""
    if token_path is None:
        token = click.prompt(
            "Please enter your Gitlab API token", hide_input=True, err=True
        )
    else:
        token = open(token_path).read().strip()
    return token
